Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

[Kinda Resolved] System Upgrade icon - unable to find a shell

Started by evets, February 02, 2015, 03:54:48 AM

Previous topic - Next topic

evets

Hi guys,

I recently installed this iso as a VirtualBox Guest, sparkylinux-3.6-x86_64-mate and also the xfce one.

The host machine was Windows 8.1, and when I tried to run the System Upgrade icon. The whole thing went into a loop and just kept going round and round.
I thought it may have been a problem with my desktop, so tried the image on my laptop, Windows 7 which I knew everything was working just fine.
The same issue, so I fired up a terminal and ran the apt-get upgrade from the CLI so I could see the messages and errors more clearly.

I found this topic: http://sparkylinux.org/forum/index.php?topic=2837.0

This allowed me to tun the upgrade successfully.

Now have another issue where by I select the System Upgrade icon, a terminal shell launches and get this new error message:

Unable to find a shell

Any thoughts as cannot see or figure how to change the terminal for this?

Thanks,
Steve

evets

OK so found this thread: http://sparkylinux.org/forum/index.php/topic,2829.0.html

Would be useful is the subject contained the error message.

So tried terminal 3 and 4, both fail.
option 3: mate terminal error message:
There was an error creating the child process for this terminal
Failed to execute child process "apt-get update" (No such file or directory)

Option 4:
unable to find a shell
*** Guessing this may be to to with the solution mentioned in the thread above.


Terminal 2, 5 and 6 work.

Any thoughts?

Steve

pavroo

Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

pavroo

Looks like the mate-terminal doesn't want to start upgrading.
I have upgraded sparky-aptus-upgrade package up to 0.1.10.
It will install other terminal emulator for mate spin.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

pavroo

I made one more update of sparky-aptus-upgrade up to 0.1.11.
Now it can use some terminals such as terminology or mate-terminal - terminology is not a part of alternatives x-terminal-emulator group and mate-terminal stopped working with aptus-upgrade before.
The same is with pluma and mousepad - can be used as well, even they are not in the gnome-text-editor group.

So mate-terminal emulator should be working back now.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Nimsy

Hey there, Pavroo.

I encountered something very similar to this after I gutted Gnome/LXDE.

Is there a file I can edit or a way that I can point it to recognize Konsole/Yakuake?

Pretty sure that would fix my end of things.

pavroo

Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Nimsy

Ok, good to know.

Cause when I searched under root for "upgrade" (this is also part of why I love Dolphin) I found:

usr/lib/sparky-aptus-upgrade/

Which has three shell script files named check, upgrade, upgrade-now

Are those relevant, or just the sparky-aptus-upgrade shell script?

pavroo

Good point.
Sometimes my head is overloaded.
You should edit the file as well: /usr/lib/sparky-aptus-upgrade/upgrade
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Nimsy

Great.  I'll poke around at those and let you know the results.

pavroo

I don't think you have to edit the files.
Try to set Konsole or Yakuake as the default terminal emulator (as root):
update-alternatives --config x-terminal-emulator
The script checks:
- if you are not running enlightenment
- if you don't have mate-terminal
- then it will launch the default x-terminal-emulator
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Nimsy

There are 6 choices for the alternative x-terminal-emulator (providing /usr/bin/x-terminal-emulator).

  Selection    Path                 Priority   Status
------------------------------------------------------------
* 0            /usr/bin/terminator   50        auto mode
  1            /usr/bin/koi8rxterm   20        manual mode
  2            /usr/bin/konsole      40        manual mode
  3            /usr/bin/lxterm       30        manual mode
  4            /usr/bin/terminator   50        manual mode
  5            /usr/bin/uxterm       20        manual mode
  6            /usr/bin/xterm        20        manual mode

Press enter to keep the current choice[*], or type selection number: 2
update-alternatives: using /usr/bin/konsole to provide /usr/bin/x-terminal-emulator (x-terminal-emulator) in manual mode


System Update just ran beautifully (pardoning that it opened 3 konsole sessions at once :P )

View the most recent posts on the forum